package com.eactive.eai.rms.bat.manage.comm.lifecycle;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("BatLifecycleDao")
@SuppressWarnings("deprecation")
public class BatLifecycleDao extends SqlMapClientTemplateDao {
    
	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BatLifecycle.selectListCount", param);
    }	
    @SuppressWarnings("unchecked")
	public List<HashMap<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return template.queryForList("BatLifecycle.selectList", param);
    }	
	
    @SuppressWarnings("unchecked")
	public HashMap<String, Object> selectDetail(HashMap<String, Object> param) throws Exception {
    	return (HashMap<String, Object>)template.queryForObject("BatLifecycle.selectDetail", param);
    }	

    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BatLifecycle.insert", paramMap);
    }      
    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BatLifecycle.update", paramMap);
    }      
    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BatLifecycle.delete", paramMap);
    }
   
    
    
}
